Customers

List Customers

Get a list of customers with pagination

GET
/api/v1/customers

Get a list of customers with pagination

Authorization

AuthorizationBasic <token>

Basic API key authentication. Create a new API key and secret in the Recommand dashboard.

In: header

Query Parameters

page?number

The page number to retrieve

Range1 <= value
Default1
Example1
limit?number

The number of items per page

Range1 <= value <= 100
Default10
Example10
search?string

Search term to filter customers

Example"customer name"

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v1/customers"
{  "success": true,  "customers": [    {      "id": "string",      "teamId": "string",      "externalId": "string",      "name": "string",      "vatNumber": "string",      "enterpriseNumber": "string",      "peppolAddresses": [        "string"      ],      "address": "string",      "city": "string",      "postalCode": "string",      "country": "string",      "email": "string",      "phone": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ],  "pagination": {    "limit": 0,    "page": 0,    "total": 0,    "totalPages": 0  }}